# DaprProtos.SaveStateRequestOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.SaveStateRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SaveStateRequest`, `DaprProtos.SaveStateRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.SaveStateRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`CommonProtos.StateItem` `getStates​(int index)` The array of the state key values.
`int` `getStatesCount()` The array of the state key values.
`List<CommonProtos.StateItem>` `getStatesList()` The array of the state key values.
`CommonProtos.StateItemOrBuilder` `getStatesOrBuilder​(int index)` The array of the state key values.
`List<? extends CommonProtos.StateItemOrBuilder>` `getStatesOrBuilderList()` The array of the state key values.
`String` `getStoreName()` The name of state store.
`com.google.protobuf.ByteString` `getStoreNameBytes()` The name of state store.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getStoreName

    String getStoreName()

     The name of state store.

`string store_name = 1;`

Returns:
  The storeName.

#### getStoreNameBytes

    com.google.protobuf.ByteString getStoreNameBytes()

     The name of state store.

`string store_name = 1;`

Returns:
  The bytes for storeName.

#### getStatesList

    List<CommonProtos.StateItem> getStatesList()

     The array of the state key values.

`repeated .dapr.proto.common.v1.StateItem states = 2;`

#### getStates

    CommonProtos.StateItem getStates​(int index)

     The array of the state key values.

`repeated .dapr.proto.common.v1.StateItem states = 2;`

#### getStatesCount

    int getStatesCount()

     The array of the state key values.

`repeated .dapr.proto.common.v1.StateItem states = 2;`

#### getStatesOrBuilderList

    List<? extends CommonProtos.StateItemOrBuilder> getStatesOrBuilderList()

     The array of the state key values.

`repeated .dapr.proto.common.v1.StateItem states = 2;`

#### getStatesOrBuilder

    CommonProtos.StateItemOrBuilder getStatesOrBuilder​(int index)

     The array of the state key values.

`repeated .dapr.proto.common.v1.StateItem states = 2;`